/* getlin.f -- translated by f2c (version of 3 February 1990  3:36:42).
   You must link the resulting object file with the libraries:
	-lF77 -lI77 -lm -lc   (in that order)
*/

#include "f2c.h"

/* Common Block Declarations */

struct {
    doublereal achar, afield[15], oldlin[15];
    integer kntrc, kntlim;
} line_;

#define line_1 line_

struct {
    integer iprnta, iprntl, iprntm, iprntn, iprnto, limtim, limpts, lvlcod, 
	    lvltim, itl1, itl2, itl3, itl4, itl5, itl6, igoof, nogo, keof;
} flags_;

#define flags_1 flags_

struct {
    doublereal omega, time, delta, delold[7], ag[7], vt, xni, egfet, xmu, 
	    sfactr;
    integer mode, modedc, icalc, initf, method, iord, maxord, noncon, iterno, 
	    itemno, nosolv, modac, ipiv, ivmflg, ipostp, iscrch, iofile;
} status_;

#define status_1 status_

/* Table of constant values */

static integer c__15 = 15;
static integer c__1 = 1;

/*<       subroutine getlin >*/
/* Subroutine */ int getlin_()
{
    /* Format strings */
    static char fmt_6[] = "(10a8)";

    /* System generated locals */
    integer i_1;

    /* Builtin functions */
    integer s_rsfe(), do_fio(), e_rsfe();

    /* Local variables */
    extern /* Subroutine */ int copy8_();
    static integer i;
    extern /* Subroutine */ int ushift_();

    /* Fortran I/O blocks */
    static cilist io__1 = { 0, 5, 1, fmt_6, 0 };


/*<       implicit double precision (a-h,o-z) >*/

/*     this routine reads the next line of input into the array afield. */

/* if end-of-file is found, the variable keof is set to 1. */

/* spice version 2g.6  sccsid=line 3/15/83 */
/*<       common /line/ achar,afield(15),oldlin(15),kntrc,kntlim >*/
/* spice version 2g.6  sccsid=flags 3/15/83 */
/*<       common /flags/ iprnta,iprntl,iprntm,iprntn,iprnto,limtim,limpts, >*/
/*<      1   lvlcod,lvltim,itl1,itl2,itl3,itl4,itl5,itl6,igoof,nogo,keof >*/
/* spice version 2g.6  sccsid=status 3/15/83 */
/*<       common /status/ omega,time,delta,delold(7),ag(7),vt,xni,egfet, >*/
/*<      1   xmu,sfactr,mode,modedc,icalc,initf,method,iord,maxord,noncon, >*/
/*<      2   iterno,itemno,nosolv,modac,ipiv,ivmflg,ipostp,iscrch,iofile >*/


/*<       call copy8(afield,oldlin,15) >*/
    copy8_(line_1.afield, line_1.oldlin, &c__15);
/*<       read(5,6,end=10) (afield(i),i=1,10) >*/
    i_1 = s_rsfe(&io__1);
    if (i_1 != 0) {
	goto L10;
    }
    for (i = 1; i <= 10; ++i) {
	i_1 = do_fio(&c__1, (char *)&line_1.afield[i - 1], (ftnlen)sizeof(
		doublereal));
	if (i_1 != 0) {
	    goto L10;
	}
    }
    i_1 = e_rsfe();
/*<       go to 100 >*/
    goto L100;
/*<     6 format(10a8) >*/
/*<    10 keof=1 >*/
L10:
    flags_1.keof = 1;
/*<   100 call ushift(afield) >*/
L100:
    ushift_(line_1.afield);
/*<       return >*/
    return 0;
/*<       end >*/
} /* getlin_ */

